<div class="paginator__container">
  <div *ngIf="!isMobile && paginationData.totalItems > 5" class="page-selector__wrapper">
    <div class="page-selector__select">
      <span>{{ 'app.table.paginator-select.label' | translate }}</span>
      <select class="select">
        <option *ngFor="let option of dropdownData" [selected]="option === paginationData.pageSize" [value]="option">{{ option }} </option>
      </select>
    </div>
    <span>{{
      'common.tablePagination.showing'
        | translate
          : {
              from: paginationData.showingFrom,
              to: paginationData.showingTo,
              total: paginationData.totalItems
            }
    }}</span>
  </div>
  <ecl-pagination
    *ngIf="paginationData.totalItems > paginationData.pageSize"
    class="ecl-u-pv-none"
    [mode]="'auto'"
    [currentPage]="paginationData.page"
    [totalItems]="paginationData.totalItems"
    [pageSize]="paginationData.pageSize"
    (page)="onPaginationChange($event)">
  </ecl-pagination>
</div>
